from pychart import *
import pychart.doc_support
import chartdemo
import re

x = 100
y = 500

def drawLine(style):
    global x, y
    name = pychart.doc_support.stringify_value(style)
    name = re.sub("line_style\\.", "", name)
    name = pychart.doc_support.break_string(name)
    canvas.line(style, x, y, x+20, y)
    #print "name=", name
    tb = text_box.T(text=name, loc=(x, y-22), line_style=None)
    x = x + 60
    tb.draw()

for style in line_style.standards.list():
    drawLine(style)
    if x >= chartdemo.MaxWidth:
        x=100
        y=y-40
